Bug 1658885 - [RHEL.8 Fast Train]It prompts invalid warnning when vm boot with a value of maxcpus bigger than cpus
Summary: [RHEL.8 Fast Train]It prompts invalid warnning when vm boot with a value of ...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux Advanced Virtualization
Classification: Red Hat
Component: qemu-kvm
Version: 8.0
Hardware: ppc64le
OS: Unspecified
medium
unspecified
Target Milestone: rc
: 8.0
Assignee: David Gibson
QA Contact: Xujun Ma
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-13 05:46 UTC by Xujun Ma
Modified: 2019-02-22 22:10 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-12-17 02:01:33 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)

Description Xujun Ma 2018-12-13 05:46:47 UTC
Description of problem:
It prompts invalid  warnning when vm boot with a value of maxcpus bigger than cpus

Version-Release number of selected component (if applicable):
qemu-kvm-3.1.0-0.el8.rc5.ppc64le

How reproducible:
100%

Steps to Reproduce:
1.Boot up a vm with command:
/usr/libexec/qemu-kvm \
 -smp 2,maxcpus=64,cores=1,threads=2,sockets=1 \
 -m 4096 \
 -nodefaults \
 -chardev stdio,mux=on,id=serial_id_serial0,server,nowait,signal=off \
 -device spapr-vty,id=serial111,chardev=serial_id_serial0 \
 -mon chardev=serial_id_serial0,mode=readline \ion.                       
 -device virtio-scsi-pci,bus=pci.0 \ item, or 'c' for a command prompt.   
 -device scsi-hd,id=scsi-hd0,drive=scsi-hd0-dr0,bootindex=0 \
 -drive file=rhel80-ppc64le-virtio-scsi.qcow2,if=none,id=scsi-hd0-dr0,format=qcow2,cache=none \
 -device virtio-net-pci,netdev=net0,id=nic0,mac=52:54:00:c4:e7:84 \
 -netdev tap,id=net0,script=/etc/qemu-ifup,downscript=/etc/qemu-ifdown,vhost=on \

2.
3.

Actual results:
It prompts a warning as following:
qemu-kvm: warning: Invalid CPU topology deprecated: sockets (1) * cores (1) * threads (2) != maxcpus (64)


Expected results:
no any warning

Additional info:
Slow train has no this problem.

Comment 1 David Gibson 2018-12-17 02:01:33 UTC
The warning is correct. The sockets / cores / threads values are always maximums, so they should multiply out to the maximum number of cpus.  I think we just hadn't implemented this warning yet in the older qemu versions.


Note You need to log in before you can comment on or make changes to this bug.